Scilab Function
Last update : 16/06/2004

squarewave - génère un signal carré de période 2*%pi

### Calling Sequence

  `x=squarewave(t [,percent)`

### Parameters

- `t` : vecteur réel, valeurs des instants
- `x` : vecteur réel, valeurs du signal dans l'intervalle [-1,1]
- `percent` : scalaire positif réel, pourcentage de la période pendant lequel le signal est positif (50 par défaut)

### Description

`squarewave(t)` génère le vecteur des valeurs d'un signal carré de période 2*%pi à chaque instant donné dans le vecteur `t`.

`squarewave(t,percent)` génère un signal carré où `percent` est le pourcentage de la période pendant lequel le signal est positif.

### Examples

    t=(0:0.1:5*%pi)';
    plot2d1('onn',t,[2*sin(t),1.5*squarewave(t),squarewave(t,10)])

### See Also

`sin`, `cos`,